方式一:yum安装php,一般是5.4的版本
在LAMP中,php需要的基本包有:php,php-mysql
php:php主程序
php-mysql:让php支持链接mysql,mariadb数据库

~]# yum install php php-mysql -y

注意:php要求apache使用prefork MPM

启动php服务

~]# systemctl start php.service

最后测试php是否正确安装:

~]# vim test.php

新建php测试文档,键入一下内容

<?php
    phpinfo();
?>

测试与数据库的连通性:

~]# vim test2.php

新建test2.php,键入一下内容

<?php
    $conn = mysql_connect('HOST','USERNAME','PASSWORD');
    #建立数据连接
    if ($conn)
        echo "Success.";
    else
        echo "Failure.";
    #判断数据库是否连接正常
    mysql_close();
    #关闭数据库
 ?>

方式二:编译安装php

Last modification:October 21st, 2019 at 09:19 am
If you think my article is useful to you, please feel free to appreciate